BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object System.Collections.Generic.IEnumerator<System.Char> System.ICloneable

Supports iteration over and provides read-only access to the individual characters in a .

is used to support the statement of the C# programming

language.

Several independent instances of across one or more threads can have access to a single instance of .

For more information regarding the use of an enumerator, see .

- Method
  System.Object

  Creates a copy of the current instance.

  A with the same state as the current instance.

  The return value is a containing a copy of the state of the current instance when this method is invoked. This must be cast explicitly to a to be made usable as one.

  This method is useful for saving the state of a object while iterating through the characters of a .

  This method is implemented to support the interface.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Char

  Gets the element in the over which the current instance is positioned.

  The in the over which the current instance is positioned.

  To be added.

  The current instance is positioned before the first element or after the last element of the .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean

  Advances the current instance to the next element of the if and only if the current instance is not already placed beyond the final element of the .

  if the enumerator was successfully advanced to the next element; otherwise, .

  If the enumerator is positioned after the final element of the when this method is called, the current instance remains in its current position and is returned.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Void

  Repositions the current instance to its initial position, immediately before the first character in the .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Object Implemented to support the interface. [Note: For more information, see .] To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void To be added. To be added. 2.0.0.0 4.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)